<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<HEAD>
    <title><%= resTit.getString("titLstGasFestivos")%></title>
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bTarjGastosNoVerificadosJsp.jsp?Tipo=1" ;
				 document.formSolicitud.submit();
		}
</SCRIPT>
</HEAD>	
<%	
	m05bComun miComun=new m05bComun();
	String sGastoFestivo = miComun.leerPropiedad("PDF.GastoFestivo"); 
			m05bFileLog miLog = new m05bFileLog();
%>
<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%
    String sUsuario = (String) session.getAttribute("persona");
	String sTarjeta = request.getParameter("CodTarjeta");
	String sMatricula = request.getParameter("Matricula");
	String sSituacion = request.getParameter("SituacionTexto");
	String sFecDesde = request.getParameter("FecDesde");
    String sFecDesde2=miComun.formatearFecha2(sFecDesde);;	
	
	String sFecHasta = request.getParameter("FecHasta");
    String sFecHasta2=miComun.formatearFecha2(sFecHasta);;	
	
	String sGRango = request.getParameter("GRango");
	String sRango = request.getParameter("CodRango");
	String sCombPeaje = request.getParameter("CombPeaje");
	String srcPDF = sGastoFestivo + "?Tarjeta="+sTarjeta +"&Situacion="+sSituacion+"&GRango="+sGRango
	+"&Rango="+sRango+"&FecDesde="+sFecDesde+"&FecHasta="+sFecHasta+"&Matricula="+sMatricula+"&CombPeaje="+sCombPeaje;
	
	String sqlInsert="INSERT INTO "+m05bConstantes.TAB_TMPLSTGASTOS+" ("+
	m05bConstantes.COL_95_USUARIO+","+m05bConstantes.COL_95_TARJETA+","+
	m05bConstantes.COL_95_MATRICULA+","+m05bConstantes.COL_95_TIPO+","+
	m05bConstantes.COL_95_CONCEPTO+","+ m05bConstantes.COL_95_KM +","+
	m05bConstantes.COL_95_LITROS+","+ m05bConstantes.COL_95_IMPORTE +","+
	m05bConstantes.COL_95_CARGABONO+","+ m05bConstantes.COL_95_VERIFIC+","+
	m05bConstantes.COL_95_FECHA+","+ m05bConstantes.COL_95_RANGO+","+ 
	m05bConstantes.COL_95_SITUACION +","+m05bConstantes.COL_95_DESDPTO+") ";
	String sqlInsert2="INSERT INTO "+m05bConstantes.TAB_TMPLSTGASTOS2+" ("+
	m05bConstantes.COL_94_USUARIO+","+
	m05bConstantes.COL_94_MATRICULA+","+
	m05bConstantes.COL_94_FINICIO+","+ 
	m05bConstantes.COL_94_FFIN+","+ 
	m05bConstantes.COL_94_NOMBRE+") ";	
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
String sDelete= "DELETE "+m05bConstantes.TAB_TMPLSTGASTOS +" WHERE "+m05bConstantes.COL_95_USUARIO+"='"+sUsuario+"'";
    	pstmt = conn.prepareStatement(sDelete);
		rs = pstmt.executeQuery();
sDelete= "DELETE "+m05bConstantes.TAB_TMPLSTGASTOS2 +" WHERE "+m05bConstantes.COL_94_USUARIO+"='"+sUsuario+"'";
    	pstmt = conn.prepareStatement(sDelete);
		rs = pstmt.executeQuery();		
String sSentencia=    
	" SELECT '"+
	sUsuario+"',"+
    m05bConstantes.COL_18_TARJETA+","+ 
    m05bConstantes.COL_18_MATRICULA+","+ 
    m05bConstantes.COL_18_TIPO+","+
    m05bConstantes.COL_18_CONCEPTO+","+ 	
    m05bConstantes.COL_18_KM+","+ 
    m05bConstantes.COL_18_LITROS+","+ 
    m05bConstantes.COL_18_IMPORTE+","+ 
    m05bConstantes.COL_18_CARGO+","+
    m05bConstantes.COL_18_VERIFIC+","+ 
    m05bConstantes.COL_18_FECHA+","+
    m05bConstantes.COL_34_RANGO +","+ 
    m05bConstantes.COL_34_SITUACION+","+ 
    "NVL("+campoTexto2+m05bConstantes.COL_06_DESCDPTO+","+m05bConstantes.COL_06_DESCDPTO+")"+
	" FROM "+
	m05bConstantes.TAB_OPEBANCOS +","+
	m05bConstantes.TAB_VEHICULOS+","+
    m05bConstantes.TAB_FESTIVOS+","+
    m05bConstantes.TAB_DEPARTAMENTOS+
    " WHERE " +  
    m05bConstantes.COL_18_MATRICULA +"="+ m05bConstantes.COL_34_MATRICULA+
    " AND " +  m05bConstantes.COL_06_CODDPTO +"="+ m05bConstantes.COL_34_CODDPTO+
        " AND TO_DATE(TO_CHAR("+m05bConstantes.COL_18_FECHA+",'dd/mm/YYYY'),'dd/mm/yyyy')= "+ m05bConstantes.COL_08_FECHA;
   
String sSentencia2=  
	" SELECT '"+
	sUsuario+"',"+  
	m05bConstantes.COL_01_MATRICULA+","+ 
	m05bConstantes.COL_01_FDESDE+ 
	",DECODE (" + m05bConstantes.COL_01_FDEVOL+",'',"+m05bConstantes.COL_01_FHASTA+","+
							m05bConstantes.COL_01_FDEVOL+"),"+
	//","+ m05bConstantes.COL_01_FDEVOL+","+
	m05bConstantes.COL_21_NOMBRE+
	" FROM "+
	m05bConstantes.TAB_ASIGNACION +","+ 
	m05bConstantes.TAB_PERSONAL+
	" WHERE " +  
    m05bConstantes.COL_01_DNI +"="+ m05bConstantes.COL_21_DNI+"(+) ";
    
if (!(sSituacion.equals(""))){
        sSituacion=miComun.ListaCaracteres(sSituacion);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
if (!(sMatricula.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_MATRICULA+ " = '"+sMatricula+"'" ;}
if (!(sTarjeta.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_TARJETA+ " = '"+sTarjeta+"'" ;}
if (!(sFecDesde.equals(""))){
        sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_FECHA+ ">= TO_DATE('"+sFecDesde+"','"+formatoFecha+"')" ;}
//        sSentencia2= sSentencia2 + " AND " + m05bConstantes.COL_01_FDESDE+ "<= TO_DATE('"+sFecDesde2+"','YYYY/mm/dd')" ;}
if (!(sFecHasta.equals(""))){
     	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_FECHA+ " <= TO_DATE('"+sFecHasta+"','"+formatoFecha+"')" ;}

if (sCombPeaje.equals("1")){
	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_TIPO+ " = 'C'" ;}  
else if (sCombPeaje.equals("2")){
	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_TIPO+ " = 'P'" ;}  

if (!(sRango.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " = '"+sRango+"'" ;}
else if (!(sGRango.equals(""))){
    	String sSentenciaGrupo=" SELECT "+ m05bConstantes.COL_36_RANGOS+
    	                " FROM " + m05bConstantes.TAB_GRUPOS + 
    	                " WHERE " + m05bConstantes.COL_36_CODIGO + " = '" +sGRango+"'";
    	pstmt = conn.prepareStatement(sSentenciaGrupo);
		rs = pstmt.executeQuery();
        if (rs.next()){
		    sGRango=rs.getString(1)==null ? "":rs.getString(1);	
            sGRango=miComun.ListaCaracteres(sGRango);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_RANGO+ " in ( "+sGRango + ")";
            }
}
sSentencia=sSentencia + " ORDER BY "+m05bConstantes.COL_18_TARJETA+","+ m05bConstantes.COL_18_FECHA;
miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);
miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sSentencia2: " + sSentencia2, m05bConstantes.LOG_NIVEL_BAJO);
           pstmt = conn.prepareStatement(sSentencia);
		   rs = pstmt.executeQuery();
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
        <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
       </td>
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ 
        sSentencia=sqlInsert+sSentencia;
        miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sSentencia: " + sSentencia, m05bConstantes.LOG_NIVEL_BAJO);
        pstmt = conn.prepareStatement(sSentencia);
		rs = pstmt.executeQuery();
		sSentencia2=sqlInsert2+sSentencia2;
        miLog.addTraza(m05bConstantes.LOG_NO_USER , m05bConstantes.LOG_NO_SRC, "sSentencia2: " + sSentencia2, m05bConstantes.LOG_NIVEL_BAJO);		
		pstmt = conn.prepareStatement(sSentencia2);
		rs = pstmt.executeQuery();%>
		<embed name='pdfGastoVerificado' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfGastoVerificado' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception SQLException) {
		
			miLog.addTraza(SQLException);
		} 	finally{
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>